
Redmine - Defect #20064

Cannot create or edit users

2015-06-10 12:28 - Travis Starke

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Hi,

I have just installed redmine on a fresh ubuntu 15.04 x64 server.

When I try to create new users by clicking on the new user link, I get an Internal Error page.

The production.log shows the following:

Started GET "/redmine/users/new" for 10.0.0.205 at 2015-06-03 09:42:50 +0200

Processing by UsersController#new as HTML

Current user: admin (id=1)

Rendered users/_mail_notifications.html.erb (7.2ms)

Rendered users/_preferences.html.erb (82.0ms)

Rendered users/_form.html.erb (224.0ms)

Rendered users/new.html.erb within layouts/admin (247.8ms)

Completed 500 Internal Server Error in 257ms

NoMemoryError (failed to allocate memory):

lib/redmine/views/labelled_form_builder.rb:42:in `time_zone_select'

app/views/users/_preferences.html.erb:3:in `block in app_views_users_preferences_html_erb___1748119273592504295_73151720'

app/helpers/application_helper.rb:1051:in `labelled_fields_for'

app/views/users/_preferences.html.erb:1:in `_app_views_users__preferences_html_erb___1748119273592504295_73151720'

app/views/users/_form.html.erb:50:in `_app_views_users__form_html_erb__289902795039997432_72080440'

app/views/users/new.html.erb:4:in `block in app_views_users_new_html_erb__1177077495837321045_72013680'

app/helpers/application_helper.rb:1044:in `labelled_form_for'

app/views/users/new.html.erb:3:in `_app_views_users_new_html_erb___1177077495837321045_72013680'

Any help would be appreciated please. Thanks

History

#1 - 2015-06-10 12:33 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

Travis Starke wrote:

NoMemoryError (failed to allocate memory):

#2 - 2015-06-10 12:38 - Toshi MARUYAMA

I think your TZ problem.

https://github.com/tzinfo/tzinfo/issues/30

#3 - 2015-06-10 12:41 - Toshi MARUYAMA

Forum: Cannot create users
